Home

# Class goog.ui.equation.PaletteManager

Constructs the palette manager that manages all the palettes in Equation Editor.

extends goog.events.EventTarget

Instance Method Summary
| `deactivate()` Starts the deactivation of open palette. This method has a slight delay before doing the real deactivation. This helps prevent sudden disappearing of palettes when user moves mouse outside them just briefly (and maybe accidentally). If you really want to deactivate the active palette, use {@link #deactivateNow()} instead.
| `deactivateNow()` Deactivate the open palette immediately.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getActive() ⇒ ?goog.ui.equation.Palette` Returns the active palette.
| `getPalette(?goog.ui.equation.Palette.Type type) ⇒ ?goog.ui.equation.Palette` Returns the palette instance of given type.
| `handleDeactivation_()` Internal process of deactivation of the manager.
| `setActive(?goog.ui.equation.Palette.Type type) ⇒ ?goog.ui.equation.Palette` Sets the palette instance of given type to be the active one.
| `stopDeactivation()` Clears the deactivation timer. This is used to prevent palette manager deactivation when mouse pointer is moved outside palettes and moved back quickly inside a grace period.